# osgUtx::TestSuiteAutoRegistrationAgent Struct Reference

A helper struct to perform automatic registration at program startup; not for direct use, it should be used via the following macros. More...

List of all members.

## Public Member Functions

| TestSuiteAutoRegistrationAgent (TestSuite *tsuite, const char *path=0)

## Detailed Description

A helper struct to perform automatic registration at program startup; not for direct use, it should be used via the following macros.

(It's a secret agent :-)

See also:
  OSGUTX_AUTOREGISTER_TESTSUITE, OSGUTX_AUTOREGISTER_TESTSUITE_AT

## Constructor & Destructor Documentation

osgUtx::TestSuiteAutoRegistrationAgent::TestSuiteAutoRegistrationAgent | ( | TestSuite * | tsuite,
|  | const char * | path = `0`
| ) | `[inline]`

The documentation for this struct was generated from the following file:

- UnitTestFramework